/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.data.cleanup.internal.upgrade;

/**
 * @author Preston Crary
 */
public class MailReaderUpgradeProcess extends BaseUpgradeProcess {

	@Override
	protected void doUpgrade() throws Exception {
		removePortletData(
			new String[] {"com.liferay.mail.reader.web"}, null,
			new String[] {"com_liferay_mail_reader_web_portlet_MailPortlet"});

		removeServiceData(
			"Mail", new String[] {"com.liferay.mail.reader.service"},
			new String[] {
				"com.liferay.mail.reader.model.Account",
				"com.liferay.mail.reader.model.Attachment",
				"com.liferay.mail.reader.model.Folder",
				"com.liferay.mail.reader.model.Message"
			},
			new String[] {
				"Mail_Account", "Mail_Attachment", "Mail_Folder", "Mail_Message"
			});
	}

}